Bug 473410 - evolution-rss reader crashes on adding any feed
evolution-rss reader crashes on adding any feed
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution-rss (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lucian Langa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-28 06:43 EST by Jakub Hrozek
Modified: 2008-12-21 03:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-21 03:29:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace (26.81 KB, text/plain)
2008-11-28 06:44 EST, Jakub Hrozek
no flags Details

  None (edit)
Description Jakub Hrozek 2008-11-28 06:43:31 EST
Description of problem:
When I try to add just about any feed via evolution-rss, the plugin crashes and takes down evo, too.

Version-Release number of selected component (if applicable):
evolution-2.24.1-2.fc10.i386
evolution-rss-0.1.1-4.fc10.i386


How reproducible:
most of the time (it's either empty dialog box or crash, see below)

Steps to Reproduce:
1. Edit->Preferences, select "News and Blogs" from the left menu
2. click Add, dialog box appears
3. enter a feed URL, click OK
  
Actual results:
crash

Expected results:
no crash

Additional info:
I tried two urls, both of them took evo down:
http://freeipa.org/wiki/index.php?title=Special:Recentchanges&days=30&limit=100&feed=rss
http://rss.root.cz/clanky/

Both of them work fine in Liferea.

The crash does not happen on 100%, sometimes evo displays a dialog box saying that "Feed is not named, cannot resolve hostname"..which is wrong, too.

Attached is a backtrace collected via bug-buddy.
Comment 1 Jakub Hrozek 2008-11-28 06:44:40 EST
Created attachment 324984 [details]
backtrace
Comment 2 Lucian Langa 2008-11-28 08:23:24 EST
There is already an update for this submitted for testing:

https://admin.fedoraproject.org/updates/evolution-rss-0.1.2-2.fc10
Comment 3 Jakub Hrozek 2008-11-28 08:52:39 EST
Cool, everything looks good now. I've added karma points to that update.

Thanks, Lucian!
Comment 4 Fedora Update System 2008-12-02 20:27:46 EST
evolution-rss-0.1.2-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update evolution-rss'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-10679
Comment 5 Fedora Update System 2008-12-17 21:42:37 EST
xulrunner-1.9.0.5-1.fc10,firefox-3.0.5-1.fc10,epiphany-2.24.1-3.fc10,epiphany-extensions-2.24.0-3.fc10,blam-1.8.5-5.fc10,devhelp-0.22-2.fc10,evolution-rss-0.1.2-3.fc10,galeon-2.0.7-4.fc10,gecko-sharp2-0.13-3.fc10,gnome-python2-extras-2.19.1-25.fc10,gnome-web-photo-0.3-13.fc10,google-gadgets-0.10.3-2.fc10,kazehakase-0.5.6-1.fc10.2,Miro-1.2.7-3.fc10,mozvoikko-0.9.5-5.fc10,mugshot-1.2.2-4.fc10,pcmanx-gtk2-0.3.8-4.fc10,ruby-gnome2-0.18.1-2.fc10,yelp-2.24.0-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xulrunner-1.9.0.5-1.fc10,firefox-3.0.5-1.fc10,epiphany-2.24.1-3.fc10,epiphany-extensions-2.24.0-3.fc10,blam-1.8.5-5.fc10,devhelp-0.22-2.fc10,evolution-rss-0.1.2-3.fc10,galeon-2.0.7-4.fc10,gecko-sharp2-0.13-3.fc10,gnome-python2-extras-2.19.1-25.fc10,gnome-web-photo-0.3-13.fc10,google-gadgets-0.10.3-2.fc10,kazehakase-0.5.6-1.fc10.2,Miro-1.2.7-3.fc10,mozvoikko-0.9.5-5.fc10,mugshot-1.2.2-4.fc10,pcmanx-gtk2-0.3.8-4.fc10,ruby-gnome2-0.18.1-2.fc10,yelp-2.24.0-4.fc10
Comment 6 Fedora Update System 2008-12-17 21:42:41 EST
xulrunner-1.9.0.5-1.fc9,firefox-3.0.5-1.fc9,epiphany-2.22.2-6.fc9,epiphany-extensions-2.22.1-6.fc9,blam-1.8.5-4.fc9.1,cairo-dock-1.6.3.1-1.fc9.2,chmsee-1.0.1-7.fc9,devhelp-0.19.1-7.fc9,evolution-rss-0.1.0-5.fc9,galeon-2.0.7-4.fc9,gnome-python2-extras-2.19.1-22.fc9,gnome-web-photo-0.3-16.fc9,google-gadgets-0.10.3-2.fc9,gtkmozembedmm-1.4.2.cvs20060817-24.fc9,kazehakase-0.5.6-1.fc9.2,Miro-1.2.7-3.fc9,mozvoikko-0.9.5-5.fc9,mugshot-1.2.2-4.fc9,ruby-gnome2-0.17.0-4.fc9,totem-2.23.2-9.fc9,yelp-2.22.1-7.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/xulrunner-1.9.0.5-1.fc9,firefox-3.0.5-1.fc9,epiphany-2.22.2-6.fc9,epiphany-extensions-2.22.1-6.fc9,blam-1.8.5-4.fc9.1,cairo-dock-1.6.3.1-1.fc9.2,chmsee-1.0.1-7.fc9,devhelp-0.19.1-7.fc9,evolution-rss-0.1.0-5.fc9,galeon-2.0.7-4.fc9,gnome-python2-extras-2.19.1-22.fc9,gnome-web-photo-0.3-16.fc9,google-gadgets-0.10.3-2.fc9,gtkmozembedmm-1.4.2.cvs20060817-24.fc9,kazehakase-0.5.6-1.fc9.2,Miro-1.2.7-3.fc9,mozvoikko-0.9.5-5.fc9,mugshot-1.2.2-4.fc9,ruby-gnome2-0.17.0-4.fc9,totem-2.23.2-9.fc9,yelp-2.22.1-7.fc9
Comment 7 Fedora Update System 2008-12-17 21:42:44 EST
firefox-2.0.0.19-1.fc8,epiphany-2.20.3-9.fc8,epiphany-extensions-2.20.1-12.fc8,blam-1.8.3-20.fc8,cairo-dock-1.6.3.1-1.fc8.2,chmsee-1.0.0-6.31.fc8,devhelp-0.16.1-12.fc8,evolution-rss-0.0.8-14.fc8,galeon-2.0.4-7.fc8.3,gnome-python2-extras-2.19.1-20.fc8,gnome-web-photo-0.3-15.fc8,kazehakase-0.5.6-1.fc8.2,liferea-1.4.15-6.fc8,Miro-1.2.7-3.fc8,openvrml-0.17.10-3.0.fc8,ruby-gnome2-0.17.0-4.fc8,yelp-2.20.0-15.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/firefox-2.0.0.19-1.fc8,epiphany-2.20.3-9.fc8,epiphany-extensions-2.20.1-12.fc8,blam-1.8.3-20.fc8,cairo-dock-1.6.3.1-1.fc8.2,chmsee-1.0.0-6.31.fc8,devhelp-0.16.1-12.fc8,evolution-rss-0.0.8-14.fc8,galeon-2.0.4-7.fc8.3,gnome-python2-extras-2.19.1-20.fc8,gnome-web-photo-0.3-15.fc8,kazehakase-0.5.6-1.fc8.2,liferea-1.4.15-6.fc8,Miro-1.2.7-3.fc8,openvrml-0.17.10-3.0.fc8,ruby-gnome2-0.17.0-4.fc8,yelp-2.20.0-15.fc8
Comment 8 Fedora Update System 2008-12-21 03:29:17 EST
xulrunner-1.9.0.5-1.fc10, firefox-3.0.5-1.fc10, epiphany-2.24.1-3.fc10, epiphany-extensions-2.24.0-3.fc10, blam-1.8.5-5.fc10, devhelp-0.22-2.fc10, evolution-rss-0.1.2-3.fc10, galeon-2.0.7-4.fc10, gecko-sharp2-0.13-3.fc10, gnome-python2-extras-2.19.1-25.fc10, gnome-web-photo-0.3-13.fc10, google-gadgets-0.10.3-2.fc10, kazehakase-0.5.6-1.fc10.2, Miro-1.2.7-3.fc10, mozvoikko-0.9.5-5.fc10, mugshot-1.2.2-4.fc10, pcmanx-gtk2-0.3.8-4.fc10, ruby-gnome2-0.18.1-2.fc10, yelp-2.24.0-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-12-21 03:35:47 EST
xulrunner-1.9.0.5-1.fc9, firefox-3.0.5-1.fc9, epiphany-2.22.2-6.fc9, epiphany-extensions-2.22.1-6.fc9, blam-1.8.5-4.fc9.1, cairo-dock-1.6.3.1-1.fc9.2, chmsee-1.0.1-7.fc9, devhelp-0.19.1-7.fc9, evolution-rss-0.1.0-5.fc9, galeon-2.0.7-4.fc9, gnome-python2-extras-2.19.1-22.fc9, gnome-web-photo-0.3-16.fc9, google-gadgets-0.10.3-2.fc9, gtkmozembedmm-1.4.2.cvs20060817-24.fc9, kazehakase-0.5.6-1.fc9.2, Miro-1.2.7-3.fc9, mozvoikko-0.9.5-5.fc9, mugshot-1.2.2-4.fc9, ruby-gnome2-0.17.0-4.fc9, totem-2.23.2-9.fc9, yelp-2.22.1-7.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-12-21 03:38:37 EST
evolution-rss-0.1.2-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2008-12-21 03:42:29 EST
firefox-2.0.0.19-1.fc8, epiphany-2.20.3-9.fc8, epiphany-extensions-2.20.1-12.fc8, blam-1.8.3-20.fc8, cairo-dock-1.6.3.1-1.fc8.2, chmsee-1.0.0-6.31.fc8, devhelp-0.16.1-12.fc8, evolution-rss-0.0.8-14.fc8, galeon-2.0.4-7.fc8.3, gnome-python2-extras-2.19.1-20.fc8, gnome-web-photo-0.3-15.fc8, kazehakase-0.5.6-1.fc8.2, liferea-1.4.15-6.fc8, Miro-1.2.7-3.fc8, openvrml-0.17.10-3.0.fc8, ruby-gnome2-0.17.0-4.fc8, yelp-2.20.0-15.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.